package cn.ibizlab.uaaapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.util.domain.DTOBase;
import lombok.Data;

/**
 * 服务DTO对象[SYS_PSDEOPPRIVDTO]
 */
@Data
public class SYS_PSDEOPPRIVDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [SYS_PSDEOPPRIVID]
     *
     */
    @JSONField(name = "psdeopprivid")
    @JsonProperty("psdeopprivid")
    private String psdeopprivid;

    /**
     * 属性 [SYS_PSDEOPPRIVNAME]
     *
     */
    @JSONField(name = "psdeopprivname")
    @JsonProperty("psdeopprivname")
    private String psdeopprivname;

    /**
     * 属性 [PSDATAENTITYID]
     *
     */
    @JSONField(name = "psdataentityid")
    @JsonProperty("psdataentityid")
    private String psdataentityid;

    /**
     * 属性 [PSDATAENTITYNAME]
     *
     */
    @JSONField(name = "psdataentityname")
    @JsonProperty("psdataentityname")
    private String psdataentityname;

    /**
     * 属性 [PSDEDATASETID]
     *
     */
    @JSONField(name = "psdedatasetid")
    @JsonProperty("psdedatasetid")
    private String psdedatasetid;

    /**
     * 属性 [PSDEDATASETNAME]
     *
     */
    @JSONField(name = "psdedatasetname")
    @JsonProperty("psdedatasetname")
    private String psdedatasetname;

    /**
     * 属性 [PSDEDATARANGEID]
     *
     */
    @JSONField(name = "psdedatarangeid")
    @JsonProperty("psdedatarangeid")
    private String psdedatarangeid;

    /**
     * 属性 [PSDEDATARANGENAME]
     *
     */
    @JSONField(name = "psdedatarangename")
    @JsonProperty("psdedatarangename")
    private String psdedatarangename;

    /**
     * 属性 [PSSYSMODULEID]
     *
     */
    @JSONField(name = "pssysmoduleid")
    @JsonProperty("pssysmoduleid")
    private String pssysmoduleid;

    /**
     * 属性 [PSSYSMODULENAME]
     *
     */
    @JSONField(name = "pssysmodulename")
    @JsonProperty("pssysmodulename")
    private String pssysmodulename;

    /**
     * 属性 [PSSYSTEMID]
     *
     */
    @JSONField(name = "pssystemid")
    @JsonProperty("pssystemid")
    private String pssystemid;

    /**
     * 属性 [PERMISSIONID]
     *
     */
    @JSONField(name = "permissionid")
    @JsonProperty("permissionid")
    private String permissionid;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;


    /**
     * 设置 [SYS_PSDEOPPRIVNAME]
     */
    public void setPsdeopprivname(String  psdeopprivname){
        this.psdeopprivname = psdeopprivname ;
        this.modify("sys_psdeopprivname",psdeopprivname);
    }

    /**
     * 设置 [PSDATAENTITYID]
     */
    public void setPsdataentityid(String  psdataentityid){
        this.psdataentityid = psdataentityid ;
        this.modify("psdataentityid",psdataentityid);
    }

    /**
     * 设置 [PSDATAENTITYNAME]
     */
    public void setPsdataentityname(String  psdataentityname){
        this.psdataentityname = psdataentityname ;
        this.modify("psdataentityname",psdataentityname);
    }

    /**
     * 设置 [PSDEDATASETID]
     */
    public void setPsdedatasetid(String  psdedatasetid){
        this.psdedatasetid = psdedatasetid ;
        this.modify("psdedatasetid",psdedatasetid);
    }

    /**
     * 设置 [PSDEDATASETNAME]
     */
    public void setPsdedatasetname(String  psdedatasetname){
        this.psdedatasetname = psdedatasetname ;
        this.modify("psdedatasetname",psdedatasetname);
    }

    /**
     * 设置 [PSDEDATARANGEID]
     */
    public void setPsdedatarangeid(String  psdedatarangeid){
        this.psdedatarangeid = psdedatarangeid ;
        this.modify("psdedatarangeid",psdedatarangeid);
    }

    /**
     * 设置 [PSDEDATARANGENAME]
     */
    public void setPsdedatarangename(String  psdedatarangename){
        this.psdedatarangename = psdedatarangename ;
        this.modify("psdedatarangename",psdedatarangename);
    }

    /**
     * 设置 [PSSYSMODULEID]
     */
    public void setPssysmoduleid(String  pssysmoduleid){
        this.pssysmoduleid = pssysmoduleid ;
        this.modify("pssysmoduleid",pssysmoduleid);
    }

    /**
     * 设置 [PSSYSMODULENAME]
     */
    public void setPssysmodulename(String  pssysmodulename){
        this.pssysmodulename = pssysmodulename ;
        this.modify("pssysmodulename",pssysmodulename);
    }

    /**
     * 设置 [PSSYSTEMID]
     */
    public void setPssystemid(String  pssystemid){
        this.pssystemid = pssystemid ;
        this.modify("pssystemid",pssystemid);
    }

    /**
     * 设置 [PERMISSIONID]
     */
    public void setPermissionid(String  permissionid){
        this.permissionid = permissionid ;
        this.modify("permissionid",permissionid);
    }


}

